## org.apache.solr.client.solrj.impl
Class StreamingBinaryResponseParser

    java.lang.Object
      org.apache.solr.client.solrj.ResponseParser
          org.apache.solr.client.solrj.impl.BinaryResponseParser
              org.apache.solr.client.solrj.impl.StreamingBinaryResponseParser

    public class StreamingBinaryResponseParser

extends BinaryResponseParser

A BinaryResponseParser that sends callback events rather then build a large response

Since:
  solr 4.0

Constructor Summary
`StreamingBinaryResponseParser(StreamingResponseCallback cb)`

Method Summary
`NamedList<Object>` `processResponse(InputStream body, String encoding)`

Methods inherited from class org.apache.solr.client.solrj.impl.BinaryResponseParser
`getVersion, getWriterType, processResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamingBinaryResponseParser

    public StreamingBinaryResponseParser(StreamingResponseCallback cb)

Method Detail

### processResponse

    public NamedList<Object> processResponse(InputStream body,
                                             String encoding)

  Overrides:
    `processResponse` in class `BinaryResponseParser`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.